Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005151OCamlOCaml documentationpublic2010-09-19 15:482012-03-24 15:01
ReporterChristophe Troestler 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005151: -pthread is not supported by ocamlmklib
DescriptionContrarily to what the documentation says <http://caml.inria.fr/pub/docs/manual-ocaml/manual032.html#toc146>, [^] -pthread is not anymore supported by ocamlmklib.
Additional Information$ ocamlmklib -pthread
Unknown option -pthread
$ ocamlmklib -h
Usage: ocamlmklib [options] <.cmo|.cma|.cmx|.cmxa|.ml|.mli|.o|.a|.obj|.lib|.dll files>
Options are:
-cclib <lib> C library passed to ocamlc -a or ocamlopt -a only
-ccopt <opt> C option passed to ocamlc -a or ocamlopt -a only
-custom disable dynamic loading
-dllpath <dir> Add <dir> to the run-time search path for DLLs
-F<dir> Specify a framework directory (MacOSX)
-framework <name> Use framework <name> (MacOSX)
-help Print this help message and exit
--help Same as -help
-h Same as -help
-I <dir> Add <dir> to the path searched for Caml object files
-failsafe fall back to static linking if DLL construction failed
-ldopt <opt> C option passed to the shared linker only
-linkall Build Caml archive with link-all behavior
-l<lib> Specify a dependent C library
-L<dir> Add <dir> to the path searched for C libraries
-ocamlc <cmd> Use <cmd> in place of "ocamlc"
-ocamlopt <cmd> Use <cmd> in place of "ocamlopt"
-o <name> Generated Caml library is named <name>.cma or <name>.cmxa
-oc <name> Generated C library is named dll<name>.so or lib<name>.a
-rpath <dir> Same as -dllpath <dir>
-R<dir> Same as -rpath
-verbose Print commands before executing them
-v same as -verbose
-version Print version and exit
-vnum Print version number and exit
-Wl,-rpath,<dir> Same as -dllpath <dir>
-Wl,-rpath -Wl,<dir> Same as -dllpath <dir>
-Wl,-R<dir> Same as -dllpath <dir>
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-09-19 15:48 Christophe Troestler New Issue
2010-12-01 14:41 xclerc Status new => resolved
2010-12-01 14:41 xclerc Fixed in Version => 3.12.1+dev
2010-12-01 14:41 xclerc Resolution open => fixed
2010-12-01 14:41 xclerc Assigned To => xclerc
2012-03-24 15:01 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker